Summary:	System for layout and rendering of internationalized text
Name:		pango
Version:	0.18
Release:	1
License:	LGPL
Group:		System Environment/Libraries
Source:		ftp://ftp.gimp.org/pub/gtk/v1.3/%{name}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}-root
Requires:	glib2
BuildRequires:	glib2-devel

%description
System for layout and rendering of internationalized text.

%package devel
Summary:	System for layout and rendering of internationalized text
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	libunicode-devel
Requires:	fribidi-devel
Requires:	XFree86-devel

%description devel
The pango-devel package includes the static libraries and header files
for the pango package.

Install pango-devel if you want to develop programs which will use
pango.

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=%{_prefix} \
    --bindir=%{_bindir} --mandir=%{_mandir} \
    --localstatedir=%{_localstatedir} --libdir=%{_libdir} \
    --datadir=%{_datadir} --includedir=%{_includedir} \
    --sysconfdir=%{_sysconfdir} --disable-gtk-doc
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{_prefix} bindir=$RPM_BUILD_ROOT%{_bindir} \
    mandir=$RPM_BUILD_ROOT%{_mandir} libdir=$RPM_BUILD_ROOT%{_libdir} \
    localstatedir=$RPM_BUILD_ROOT%{_localstatedir} \
    datadir=$RPM_BUILD_ROOT%{_datadir} \
    includedir=$RPM_BUILD_ROOT%{_includedir} \
    sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} install

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%{_bindir}/pango-querymodules > %{_sysconfdir}/pango/pango.modules

%postun -p /sbin/ldconfig

%files
%doc README AUTHORS COPYING ChangeLog TODO
%doc examples/HELLO.utf8
%{_libdir}/libpango*-*.so
%{_bindir}/pango-*
%{_libdir}/pango
%config %{_sysconfdir}/pango/pangox.aliases

%files devel
%defattr(-, root, root)
%{_libdir}/libpango*.so
%{_libdir}/*a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/pango-1.0
%{_datadir}/gtk-doc/html/pango

%changelog
* Mon Aug 27 2001 Jens Finke <jens@gnome.org>
- glib2 package required
- updated source url

* Wed Aug 16 2001 Jens Finke <jens@gnome.org>
- Updated spec file to match GPP standard:
 - Removed %define for prefix
 - Use License instead of Copyright
 - Added Requires: for glib.
 - Use rpm macros in the %files section
 - added pkgconfig dir to devel package
 - other minor clean ups

* Fri Feb 11 2000 Owen Taylor <otaylor@redhat.com>
- Created spec file
